Bug 191509 - Review Request: perl-Test-Portability-Files
Review Request: perl-Test-Portability-Files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 191516
  Show dependency treegraph
 
Reported: 2006-05-12 12:13 EDT by Steven Pritchard
Modified: 2011-02-10 12:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 18:58:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-05-12 12:13:09 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Portability-Files/perl-Test-Portability-Files.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Test-Portability-Files-0.05-1.src.rpm
Description:
This module is used to check the portability across operating systems of
the names of the files present in the distribution of a module. The tests
use the advices given in "Files and Filesystems" in perlport. The author of
a distribution can select which tests to execute.
Comment 1 Jason Tibbitts 2006-05-12 13:50:17 EDT
A mock build on x86_64 development failed; it seems perl-Module-Build needs
perl(YAML) < 0.49, but 0.58 is in the repo.  Oops.  An FC5 build works.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.  
* license field matches the actual license.
* license is open source-compatible.  Licence texts are included in the package.
* source files match upstream:
   2ede77af4d3b82ffb39cd28fda6857e5  Test-Portability-Files-0.05.tar.gz
   2ede77af4d3b82ffb39cd28fda6857e5  Test-Portability-Files-0.05.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (fc5, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful, 2 tests skipped.
   Files=5, Tests=5,  0 wallclock secs ( 0.17 cusr +  0.06 csys =  0.23 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-05-12 15:13:08 EDT
(In reply to comment #1)
> A mock build on x86_64 development failed; it seems perl-Module-Build needs
> perl(YAML) < 0.49, but 0.58 is in the repo.

Yeah, that's what I'm trying to fix.  I hadn't noticed that the new
Module::Build needed extra modules.  Oops.

Thanks for the quick review.
Comment 3 Steven Pritchard 2006-05-15 18:58:58 EDT
Imported into CVS, branches created, and builds done.
Comment 4 Fedora Update System 2011-01-26 07:19:57 EST
perl-Test-Portability-Files-0.05-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Test-Portability-Files-0.05-3.el4
Comment 5 Fedora Update System 2011-02-10 12:55:05 EST
perl-Test-Portability-Files-0.05-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.